Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class Anchor

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Group
                  |
                  +--shout3d.core.TouchSensor
                        |
                        +--shout3d.core.Anchor

public class Anchor
extends TouchSensor

Anchor Node Class. Rules for Activation: -- An Anchor that has no children will never activate. -- An Anchor that has children will activate only if the selected geometry is a descendent of the Anchor itself. -- If more than one Anchor fits the above criteria, then the Anchor that is lowest in the hierarchy will activate.

Field Summary
`java.lang.String` | `defaultDescription`
`StringField` | `description`
`StringArrayField` | `parameter`
`StringArrayField` | `url`

Fields inherited from class shout3d.core.TouchSensor
`enabled, hitNormal, hitPoint, isActive, isOver, touchTime`

Fields inherited from class shout3d.core.Group
`children, defaultChildArray, hidden`

Constructor Summary
`Anchor()` Constructs a default Anchor
`Anchor(Shout3DViewer theViewer)` Constructor that takes a viewer as input.

Methods inherited from class shout3d.core.TouchSensor
`onDeviceInput, setViewer`

Methods inherited from class shout3d.core.Group
`addChildren, getCameraBBoxMax, getCameraBBoxMin, getInverseMatrix, getLocalBBoxMax, getLocalBBoxMin, getMatrix, getWorldBBoxMax, getWorldBBoxMin, removeChildren`

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultDescription

    public final java.lang.String defaultDescription

### description

    public final StringField description

### parameter

    public final StringArrayField parameter

### url

    public final StringArrayField url

Constructor Detail

### Anchor

    public Anchor()

  Constructs a default Anchor

### Anchor

    public Anchor(Shout3DViewer theViewer)

  Constructor that takes a viewer as input.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD